Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl.wire

# Class WireGDSFactoryPlugin

java.lang.Object
org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
org.firebirdsql.gds.impl.wire.WireGDSFactoryPlugin

All Implemented Interfaces:
  `GDSFactoryPlugin`

public final class WireGDSFactoryPlugin extends BaseGDSFactoryPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PURE_JAVA_TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`WireGDSFactoryPlugin()`

## Method Summary

Modifier and Type
Method
Description
`FbWireDatabaseFactory`
`getDatabaseFactory()`
`String`
`getDefaultProtocol()`
The default protocol prefix for this type (for example, for PURE_JAVA, it's `"jdbc:firebirdsql:"`.
`String`
`getPluginName()`
`List<String>`
`getSupportedProtocolList()`
List of JDBC supported protocol prefixes, including `defaultProtocol`.
`String[]`
`getSupportedProtocols()`
Deprecated, for removal: This API element is subject to removal in a future version.
`String[]`
`getTypeAliases()`
Deprecated, for removal: This API element is subject to removal in a future version.
`List<String>`
`getTypeAliasList()`
List of type aliases (in addition to `GDSFactoryPlugin.getTypeName()`), for example the PURE_JAVA type has alias TYPE4.
`String`
`getTypeName()`

### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

`equals, getConnectionClass, getDatabasePath, getDatabasePath, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.impl.GDSFactoryPlugin

`getDatabasePath`

## Field Details

### PURE_JAVA_TYPE_NAME

public static final String PURE_JAVA_TYPE_NAME

See Also:
  - Constant Field Values

## Constructor Details

### WireGDSFactoryPlugin

public WireGDSFactoryPlugin()

## Method Details

### getPluginName

public String getPluginName()

Returns:
  descriptive name of the plugin

### getTypeName

public String getTypeName()

Returns:
  primary type name of the plugin
See Also:
  - `GDSFactoryPlugin.getTypeAliasList()`

### getTypeAliases

@Deprecated(since="6", forRemoval=true) public String[] getTypeAliases()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `GDSFactoryPlugin`
List of type aliases.

Implementations with aliases are encouraged to explicitly implement `GDSFactoryPlugin.getTypeAliasList()` to return an immutable list and override this method to use `return getTypeAliasList().toArray(new String[0])` or similar.

Returns:
  array with type aliases (empty array if there are no aliases)
See Also:
  - `GDSFactoryPlugin.getTypeAliasList()`

### getTypeAliasList

public List<String> getTypeAliasList()
Description copied from interface: `GDSFactoryPlugin`
List of type aliases (in addition to `GDSFactoryPlugin.getTypeName()`), for example the PURE_JAVA type has alias TYPE4.

In general, we recommend not to define aliases for types, but instead only have a `typeName`.

The default implementation wraps `GDSFactoryPlugin.getTypeAliases()`, but implementations are encouraged to implement this with an immutable list. This default implementation will be removed when `GDSFactoryPlugin.getTypeAliases()` is removed.

Returns:
  list of type aliases (empty list if there are no aliases)

### getSupportedProtocols

@Deprecated(since="6", forRemoval=true) public String[] getSupportedProtocols()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `GDSFactoryPlugin`
List of JDBC supported protocol prefixes.

Implementations with aliases are encouraged to explicitly implement `GDSFactoryPlugin.getSupportedProtocolList()` to return an immutable list and override this method to use `return getSupportedProtocolList().toArray(new String[0])` or similar.

Returns:
  array with supported protocol prefixes (must include the value of `GDSFactoryPlugin.getDefaultProtocol()`).
See Also:
  - `GDSFactoryPlugin.getSupportedProtocolList()`

### getSupportedProtocolList

public List<String> getSupportedProtocolList()
Description copied from interface: `GDSFactoryPlugin`
List of JDBC supported protocol prefixes, including `defaultProtocol`. For example the PURE_JAVA type has supported protocols `["jdbc:firebirdsql:java:", "jdbc:firebird:java:", "jdbc:firebird:", "jdbc:firebirdsql:"]`.

In general, one protocol should suffice. An exception can be made if the default is `"jdbc:firebirdsql:subtype:"` to also define `"jdbc:firebird:subtype"`.

The default implementation wraps `GDSFactoryPlugin.getSupportedProtocols()`, but implementations are encouraged to implement this with an immutable list. This default implementation will be removed when `GDSFactoryPlugin.getSupportedProtocols()` is removed.

Returns:
  list of type aliases (must include the value of `GDSFactoryPlugin.getDefaultProtocol()`)

### getDefaultProtocol

public String getDefaultProtocol()
Description copied from interface: `GDSFactoryPlugin`
The default protocol prefix for this type (for example, for PURE_JAVA, it's `"jdbc:firebirdsql:"`.

The protocol prefix must be distinct from other plugins.

Specified by:
  `getDefaultProtocol` in interface `GDSFactoryPlugin`
Overrides:
  `getDefaultProtocol` in class `BaseGDSFactoryPlugin`
Returns:
  default protocol name

### getDatabaseFactory

public FbWireDatabaseFactory getDatabaseFactory()

Returns:
  instance of `FbDatabaseFactory` for this implementation